Package org.apache.jmeter.report.processor.graph

# Class IndexedNameSelector

java.lang.Object
org.apache.jmeter.report.processor.graph.IndexedNameSelector

All Implemented Interfaces:
  `SampleSelector<Double>`, `GraphKeysSelector`

public class IndexedNameSelector extends Object implements GraphKeysSelector
The class IndexedNameSelector provides a projection from a sample to its name and maintains an index of the projected names.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexedNameSelector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<String>`
  `getNames()`
  Gets the names.
  `Double`
  `select(Sample sample)`
  Do the projection from the specified sample

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndexedNameSelector

    public IndexedNameSelector()

- ## Method Details

  - ### getNames

    public final List<String> getNames()
    Gets the names.
    Returns:
      the names

  - ### select

    public Double select(Sample sample)
    Description copied from interface: `SampleSelector`
    Do the projection from the specified sample
    Specified by:
      `select` in interface `SampleSelector<Double>`
    Parameters:
      `sample` - the sample
    Returns:
      the projection result